<?php

function my_posy_search($search) {
  if(is_search()) {
    $search .= " AND post_type = 'post'";
  }
  return $search;
}
add_filter('posts_search', 'my_posy_search');

require_once ( get_template_directory() . '/functions-code.php' );

// 管理画面にJSを読み込ませる
function mw_enqueue_js_js( $hook_suffix ) {
    wp_enqueue_script( 'mediauploader', get_template_directory_uri() . '/admin/js/mediauploader.js', array( 'jquery' ), false, true );
    wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'my-script', get_template_directory_uri() . '/admin/js/my-script.js', array( 'wp-color-picker' ), false, true );
    wp_enqueue_media();
    wp_enqueue_script( 'mediauploader' );
    wp_enqueue_script('admin', get_bloginfo('template_url').'/admin/js/toggle_func.js', null, true);
    echo '<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>'.PHP_EOL;
}
add_action( 'admin_print_scripts', 'mw_enqueue_js_js' );


// 詳細オプション管理画面用のカスタムCSS追加
function admin_css() {
    echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo("template_directory").'/admin/admin.css">';
}
add_action('admin_head', 'admin_css');


// 詳細オプション機能
add_action('admin_menu', 'register_custom_menu_page');
function register_custom_menu_page() {
    add_theme_page('詳細オプション', '詳細オプション', 8, 'mithril_temp_option', 'detail_option_page');
}

function detail_option_page() {
    echo '<div id="screen-meta-links">
<div class="wrap"><div id="icon-themes" class="icon32"><br /></div><h2>詳細オプション</h2>';
?>

<form name="form1" method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>

<iframe name="disp" id="disp" src="http://7th-club.jp/2step/information/" width="100%" height="100px" scrolling="no" frameborder="0" allowtransparency="true"></iframe>

<h2 class="nav-tab-wrapper">
<a class='nav-tab nav-tab-active' href='#site'>サイト全体の詳細</a>
<a class='nav-tab' href='#content'>記事の詳細</a>
<a class='nav-tab' href='#maillaw'>特定電子メール法</a>
<a class='nav-tab' href='#index'>インデックス</a>
</h2>

<h3 class="form-title" id="site">サイト全体の詳細設定</h3>
<table class="form-table">
<tr valign="top">
<th scope="row">　タイトル色</th>
<td>
<input type="text" name="title_color" class="color-picker" value="<?php if(get_option('title_color')) echo get_option('title_color'); else echo '333333'; ?>" />
<p class="description">推奨カラーは「333333」です。</p>
</td></tr>

<tr valign="top">
<th scope="row">　タイトル文字サイズ</th>
<td class="even">
<input name="h2_size" type="number" step="1" min="1" value="<?php if(get_option('h2_size')) echo get_option('h2_size'); else echo '24'; ?>" class="small-text" /> px
<p class="description">推奨サイズは「24」pxです。（<b>0は指定できません。</b>）</p>
</td></tr>

<tr valign="top">
<th scope="row">　サイトキーワード</th>
<td>
<input name="meta_key" type="text" value="<?php echo get_option('meta_key'); ?>" size="50" />
<p class="description">半角カンマ区切りでキーワードを入力してください。　例）美容,化粧品,化粧水<br />
また、ここで設定したサイトキーワードは、トップページのメタキーワードになります。</p>
</td></tr>

<tr valign="top">
<th scope="row">　サイトカラー</th>
<td class="even">
<?php $site_color_select=get_option('site_color'); ?>
<input type="radio" name="site_color" value="blue" <?php if($site_color_select=='blue' || $color_select==''){echo 'checked';}; ?> > 青　
<input type="radio" name="site_color" value="black" <?php if($site_color_select=='black'){echo 'checked';}; ?>> 黒　
<input type="radio" name="site_color" value="green" <?php if($site_color_select=='green'){echo 'checked';}; ?>> 緑　
<input type="radio" name="site_color" value="orange" <?php if($site_color_select=='orange'){echo 'checked';}; ?>> オレンジ　
<input type="radio" name="site_color" value="pink" <?php if($site_color_select=='pink'){echo 'checked';}; ?>> ピンク　
<input type="radio" name="site_color" value="red" <?php if($site_color_select=='red'){echo 'checked';}; ?>> 赤　
</td></tr>

<tr valign="top">
<th scope="row even">　サイトの背景色</th>
<td>
<input type="text" name="background_color" class="color-picker1" value="<?php if(get_option('background_color')) echo get_option('background_color'); else echo 'FFFFFF'; ?>" />
<p class="description">推奨カラーは「FFFFFF」です。</p>
</td></tr>

<tr valign="top">
<th scope="row">　レスポンシブデザインの<br />　切り替え</th>
<td>
<?php $response_select=get_option('response'); ?>
<input type="radio" name="response" value="response-on" <?php if($response_select=='response-on' || $response_select==''){echo 'checked';}; ?> > ON<br />
<input type="radio" name="response" value="response-off" <?php if($response_select=='response-off'){echo 'checked';}; ?> > OFF
</td></tr>

<tr valign="top">
<th scope="row">　トップページの表示記事数</th>
<td class="even">
<input name="top_posts_number" type="number" step="1" min="1" value="<?php if(get_option('top_posts_number')) echo get_option('top_posts_number'); else echo '5'; ?>" class="small-text" /> 記事
<p class="description">トップページに表示する記事数を選択してください。<b>（0は指定できません。）</b></p>
</td></tr>

<tr valign="top">
<th class="sbti">　アクセス解析タグ（任意）</th>
<td class="sbti">
<textarea name="analy_code" rows="5" cols="35" style="width:450px;">
<?php echo get_option('analy_code'); ?></textarea>
<p class="description">アクセス解析タグをそのまま入力してください。</p>
</td></tr>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="title_color,site_color,site_column,kiji_column,kanren,date_time,meta_archive,meta_tag,meta_day,main_h1tag,meta_key,analy_code,topbox_h3,topbox_contents,econtent,response,socialbtn,c_eyecatch,h2_size,top_posts_number,banner_size,common_contents_h,common_contents_f,commentbox,etcbanner,read_time,common_contents_h_m,common_contents_f_m,kiji_size,p_bottom,read_more_contents,read_more_contents_m,mail_name,mail_address,mail_email,socialbtn_fb,socialbtn_tw,socialbtn_hb,socialbtn_gp,socialbtn_nbr,nbr_id,background_color,titleimage,title_url" />

<p class="submit">
<input type="submit" name="submit" id="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>


<h2 class="nav-tab-wrapper">
<a class='nav-tab' href='#site'>サイト全体の詳細</a>
<a class='nav-tab nav-tab-active' href='#content'>記事の詳細</a>
<a class='nav-tab' href='#maillaw'>特定電子メール法</a>
<a class='nav-tab' href='#index'>インデックス</a>
</h2>

<h3 class="form-title" id="content">記事の詳細設定</h3>
<table class="form-table">
<tr valign="top">
<th scope="row">　日付の表示</th>
<td>
<?php $date_time_select=get_option('date_time'); ?>
<input type="radio" name="date_time" value="date_time" <?php if($date_time_select=='date_time' || $date_time_select==''){echo 'checked';}; ?> > 日付を表示<br />
<input type="radio" name="date_time" value="no_day" <?php if($date_time_select=='no_day'){echo 'checked';}; ?> > 日付を非表示
</td></tr>

<tr valign="top">
<th scope="row">　読了時間の表示</th>
<td class="even">
<?php $read_time_select=get_option('read_time'); ?>
<input type="radio" name="read_time" value="read_time" <?php if($read_time_select=='read_time' || $read_time_select==''){echo 'checked';}; ?> > 読了時間を表示<br />
<input type="radio" name="read_time" value="read_time_none" <?php if($read_time_select=='read_time_none'){echo 'checked';}; ?> > 読了時間を非表示
</td></tr>

<tr valign="top">
<th scope="row">　記事の文字サイズ</th>
<td class="even">
<input name="kiji_size" type="number" step="1" min="1" value="<?php if(get_option('kiji_size')) echo get_option('kiji_size'); else echo '16'; ?>" class="small-text" /> px
<p class="description">推奨サイズは「16」pxです。（<b>0は指定できません。</b>）</p>
</td></tr>

<tr valign="top">
<th scope="row">　記事の改行幅</th>
<td>
<input name="p_bottom" type="number" step="1" min="0" value="<?php if(get_option('p_bottom')) echo get_option('p_bottom'); else echo '0'; ?>" class="small-text" /> px
<p class="description">本設定はCSSで言えば、記事内にあるpタグのmargin-bottomになります。推奨は「0」ですが、必要に応じて設定ください。</p>
</td></tr>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="title_color,site_color,site_column,kiji_column,kanren,date_time,meta_archive,meta_tag,meta_day,main_h1tag,meta_key,analy_code,topbox_h3,topbox_contents,econtent,response,socialbtn,c_eyecatch,h2_size,top_posts_number,banner_size,common_contents_h,common_contents_f,commentbox,etcbanner,read_time,common_contents_h_m,common_contents_f_m,kiji_size,p_bottom,read_more_contents,read_more_contents_m,mail_name,mail_address,mail_email,socialbtn_fb,socialbtn_tw,socialbtn_hb,socialbtn_gp,socialbtn_nbr,nbr_id,background_color,titleimage,title_url" />

<p class="submit">
<input type="submit" name="submit" id="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>


<h2 class="nav-tab-wrapper">
<a class='nav-tab' href='#site'>サイト全体の詳細</a>
<a class='nav-tab' href='#content'>記事の詳細</a>
<a class='nav-tab nav-tab-active' href='#maillaw'>特定電子メール法</a>
<a class='nav-tab' href='#index'>インデックス</a>
</h2>

<h3 class="form-title" id="maillaw">特定電子メール法に基づく表記設定</h3>
<p>特定電子メール法に基づく表記ページを作成される方のみ設定ください。<br />
※画像を挿入したい場合は「&#60;img src="●画像のURL" />」のようにタグ形式でご入力ください。</p>
<table class="form-table">
<tr valign="top">
<th scope="row">　運営者名</th>
<td>
<input name="mail_name" type="text" value="<?php echo get_option('mail_name'); ?>" size="50" />
</td></tr>

<tr valign="top">
<th scope="row">　運営者名の住所</th>
<td class="even">
<textarea name="mail_address" rows="2" cols="35" style="width:450px;">
<?php echo get_option('mail_address'); ?></textarea>
</td></tr>

<tr valign="top">
<th scope="row" class="sbti">　連絡先メールアドレス</th>
<td class="sbti">
<input name="mail_email" type="text" value="<?php echo get_option('mail_email'); ?>" size="50" />
</td></tr>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="title_color,site_color,site_column,kiji_column,kanren,date_time,meta_archive,meta_tag,meta_day,main_h1tag,meta_key,analy_code,topbox_h3,topbox_contents,econtent,response,socialbtn,c_eyecatch,h2_size,top_posts_number,banner_size,common_contents_h,common_contents_f,commentbox,etcbanner,read_time,common_contents_h_m,common_contents_f_m,kiji_size,p_bottom,read_more_contents,read_more_contents_m,mail_name,mail_address,mail_email,socialbtn_fb,socialbtn_tw,socialbtn_hb,socialbtn_gp,socialbtn_nbr,nbr_id,background_color,titleimage,title_url" />

<p class="submit">
<input type="submit" name="submit" id="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>


<h2 class="nav-tab-wrapper">
<a class='nav-tab' href='#site'>サイト全体の詳細</a>
<a class='nav-tab' href='#content'>記事の詳細</a>
<a class='nav-tab' href='#maillaw'>特定電子メール法</a>
<a class='nav-tab nav-tab-active' href='#index'>インデックス</a>
</h2>

<h3 class="form-title" id="index">インデックスのページ設定</h3>
<table class="form-table">
<tr valign="top">
<th scope="row">　カテゴリーページ</th>
<td>
<?php $meta_archive_select=get_option('meta_archive'); ?>
<input type="radio" name="meta_archive" value="index" <?php if($meta_archive_select=='index' || $meta_archive_select==''){echo 'checked';}; ?>> indexを指定　
<input type="radio" name="meta_archive" value="noindex" <?php if($meta_archive_select=='noindex'){echo 'checked';}; ?> > noindexを指定
<p class="description">noindexを選択した場合、カテゴリーページは検索結果に表示されなくなります。重複ページ対策を行いたい場合は、noindexを選択下さい。</p>
</td></tr>

<th scope="row">　タグページ</th>
<td class="even">
<?php $meta_tag_select=get_option('meta_tag'); ?>
<input type="radio" name="meta_tag" value="index" <?php if($meta_tag_select=='index' || $meta_tag_select==''){echo 'checked';}; ?>> indexを指定　
<input type="radio" name="meta_tag" value="noindex" <?php if($meta_tag_select=='noindex'){echo 'checked';}; ?> > noindexを指定
<p class="description">noindexを選択した場合、タグページは検索結果に表示されなくなります。重複ページ対策を行いたい場合は、noindexを選択下さい。</p>
</td></tr>

<th class="sbti" scope="row">　日付別ページ</th>
<td class="sbti">
<?php $meta_day_select=get_option('meta_day'); ?>
<input type="radio" name="meta_day" value="index" <?php if($meta_day_select=='index' || $meta_day_select==''){echo 'checked';}; ?>> indexを指定　
<input type="radio" name="meta_day" value="noindex" <?php if($meta_day_select=='noindex'){echo 'checked';}; ?> > noindexを指定
<p class="description">noindexを選択した場合、月別アーカイブ等の日付別ページは検索結果に表示されなくなります。重複ページ対策を行いたい場合は、noindexを選択下さい。</p>
</td></tr>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="title_color,site_color,site_column,kiji_column,kanren,date_time,meta_archive,meta_tag,meta_day,main_h1tag,meta_key,analy_code,topbox_h3,topbox_contents,econtent,response,socialbtn,c_eyecatch,h2_size,top_posts_number,banner_size,common_contents_h,common_contents_f,commentbox,etcbanner,read_time,common_contents_h_m,common_contents_f_m,kiji_size,p_bottom,read_more_contents,read_more_contents_m,mail_name,mail_address,mail_email,socialbtn_fb,socialbtn_tw,socialbtn_hb,socialbtn_gp,socialbtn_nbr,nbr_id,background_color,titleimage,title_url" />

<p class="submit">
<input type="submit" name="submit" id="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>

</form>
</div>
<?php }


// 投稿画面にメルマガ登録ページ専用設定を追加
function easy_mail_add_custom_box() {
    add_meta_box('easy_mail', 'メルマガ登録ページ専用設定', 'easy_mail_inner_custom_box', 'page', 'normal', 'high');
    add_meta_box('easy_mail', 'メルマガ登録ページ専用設定', 'easy_mail_inner_custom_box', 'page', 'normal', 'high');
}
function easy_mail_inner_custom_box() {
    if (isset($_GET['post'])) {
        $postpage_width_array = get_post_meta( $_GET['post'], 'postpage_width');
        if (isset($postpage_width_array[0])) {
            $postpage_width = $postpage_width_array[0];
        } else {
            $postpage_width = "";
        }
    } else {
        $postpage_width = "";
    }
    $res = "<p>サイトの横幅を指定してください。指定がない場合は「900px」になります。</p>
<p>
サイト横幅 ：<input type=\"text\" name=\"postpage_width\" value=\"".htmlspecialchars($postpage_width)."\" size=\"10\" /> px</p><hr class=\"box_end\">";
    echo $res;

    $postpage_site_back = get_post_meta( $_GET['post'], 'postpage_site_back' );
     echo '<p>背景色を指定してください。指定がない場合は「白」になります。</p>
           <p><input type="text" name="postpage_site_back" class="color-picker1" value="' . $postpage_site_back[0] . '" ></p><hr class="box_end">';

    if (isset($_GET['post'])) {
        $postpage_font_m_array = get_post_meta( $_GET['post'], 'postpage_font_m');
        if (isset($postpage_font_m_array[0])) {
            $postpage_font_m = $postpage_font_m_array[0];
        } else {
            $postpage_font_m = "";
        }
    } else {
        $postpage_font_m = "";
    }
    $res = "<p>文字サイズ：<input type=\"text\" name=\"postpage_font_m\" value=\"".htmlspecialchars($postpage_font_m)."\" size=\"10\" /> px</p><p>※何も設定しない場合は、詳細オプションでの設定内容が反映されます。</p><hr class=\"box_end\">";
    echo $res;

    if (isset($_GET['post'])) {
        $postpage_p_bottom_m_array = get_post_meta( $_GET['post'], 'postpage_p_bottom_m');
        if (isset($postpage_p_bottom_m_array[0])) {
            $postpage_p_bottom_m = $postpage_p_bottom_m_array[0];
        } else {
            $postpage_p_bottom_m = "";
        }
    } else {
        $postpage_p_bottom_m = "";
    }
    $res = "<p>改行幅　　：<input type=\"text\" name=\"postpage_p_bottom_m\" value=\"".htmlspecialchars($postpage_p_bottom_m)."\" size=\"10\" /> px</p><p>※何も設定しない場合は、詳細オプションでの設定内容が反映されます。</p><hr class=\"box_end\">";
    echo $res;

    $postpage_head = get_post_meta( $_GET['post'], 'postpage_head' );
     echo '<p>ヘッドに表示させる画像を選択してください。</p>
           <p><input name="postpage_head" type="text" value="' . $postpage_head[0] . '" size="50" />
           　<input type="button" name="media_m" value="画像の選択" />
           <input type="button" name="media_m-clear" value="クリア" /></p>
           <div id="uploadedImageView_m"><img src="' . $postpage_head[0] . '"></div></p><hr class="box_end">';
}

function easy_mail_save_postdata( $post_id ) {
    if (isset($_POST['postpage_width'])) {
        $mydata = $_POST['postpage_width'];
        if ( "" == get_post_meta( $post_id, 'postpage_width')) {
            add_post_meta( $post_id, 'postpage_width', $mydata, true);
        } else {
            update_post_meta( $post_id, 'postpage_width', $mydata);
		}
    }

    $mydata = $_POST['postpage_site_back'];
    if ( "" == get_post_meta( $post_id, 'postpage_site_back' )) {
        add_post_meta( $post_id, 'postpage_site_back', $mydata, true ) ;
    } else if ( $mydata != get_post_meta( $post_id, 'postpage_site_back' )) {
        update_post_meta( $post_id, 'postpage_site_back', $mydata ) ;
    } else if ( "" == $mydata ) {
        delete_post_meta( $post_id, 'postpage_site_back' ) ;
    }

    $mydata = $_POST['postpage_head'];
    if ( "" == get_post_meta( $post_id, 'postpage_head' )) {
        add_post_meta( $post_id, 'postpage_head', $mydata, true ) ;
    } else if ( $mydata != get_post_meta( $post_id, 'postpage_head' )) {
        update_post_meta( $post_id, 'postpage_head', $mydata ) ;
    } else if ( "" == $mydata ) {
        delete_post_meta( $post_id, 'postpage_head' ) ;
    }

    if (isset($_POST['postpage_font_m'])) {
        $mydata = $_POST['postpage_font_m'];
        if ( "" == get_post_meta( $post_id, 'postpage_font_m')) {
            add_post_meta( $post_id, 'postpage_font_m', $mydata, true);
        } else {
            update_post_meta( $post_id, 'postpage_font_m', $mydata);
		}
    }

    if (isset($_POST['postpage_p_bottom_m'])) {
        $mydata = $_POST['postpage_p_bottom_m'];
        if ( "" == get_post_meta( $post_id, 'postpage_p_bottom_m')) {
            add_post_meta( $post_id, 'postpage_p_bottom_m', $mydata, true);
        } else {
            update_post_meta( $post_id, 'postpage_p_bottom_m', $mydata);
		}
    }

}
add_action('admin_menu', 'easy_mail_add_custom_box');
add_action('save_post', 'easy_mail_save_postdata');


// 投稿画面にｈ１カスタムフィールドを追加
function postpage_h1_add_custom_box() {
    add_meta_box('postpage_h1', 'この記事のh1タグを指定', 'postpage_h1_inner_custom_box', 'page', 'normal', 'low');
    add_meta_box('postpage_h1', 'この記事のh1タグを指定', 'postpage_h1_inner_custom_box', 'page', 'normal', 'low');
}
function postpage_h1_inner_custom_box() {
    echo '<p>この記事のh1キーワードを入力してください。何も入力しない場合は、記事タイトルが反映されます。</p>';
    if (isset($_GET['post'])) {
        $postpage_h1_array = get_post_meta( $_GET['post'], 'postpage_h1');
        if (isset($postpage_h1_array[0])) {
            $postpage_h1 = $postpage_h1_array[0];
        } else {
            $postpage_h1 = "";
        }
    } else {
        $postpage_h1 = "";
    }
    $res = "<input type=\"text\" name=\"postpage_h1\" value=\"".htmlspecialchars($postpage_h1)."\" size=\"64\" />";
    echo $res;
}
function postpage_h1_save_postdata( $post_id ) {
    if (isset($_POST['postpage_h1'])) {
        $mydata = $_POST['postpage_h1'];
        if ( "" == get_post_meta( $post_id, 'postpage_h1')) {
            add_post_meta( $post_id, 'postpage_h1', $mydata, true);
        } else {
            update_post_meta( $post_id, 'postpage_h1', $mydata);
		}
	}
}
add_action('admin_menu', 'postpage_h1_add_custom_box');
add_action('save_post', 'postpage_h1_save_postdata');


// 投稿画面にcanonicalURLを追加
function canonical_url_add_custom_box() {
    add_meta_box('canonical_url', 'この記事ページにcanonical URLを指定（重複コンテンツ対策）', 'canonical_url_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('canonical_url', 'この記事ページにcanonical URLを指定（重複コンテンツ対策）', 'canonical_url_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('canonical_url', 'この記事ページにcanonical URLを指定（重複コンテンツ対策）', 'canonical_url_inner_custom_box', 'page', 'normal', 'low');
    add_meta_box('canonical_url', 'この記事ページにcanonical URLを指定（重複コンテンツ対策）', 'canonical_url_inner_custom_box', 'page', 'normal', 'low');
}
function canonical_url_inner_custom_box() {
    echo '<p>この記事ページにcanonical URLを入れたい場合は、以下のボックスにURLを入力してください。<br />特に指定しない場合は、空白にしておいて頂ければ問題ありません。</p>';
    if (isset($_GET['post'])) {
        $canonical_url_array = get_post_meta( $_GET['post'], 'canonical_url');
        if (isset($canonical_url_array[0])) {
            $canonical_url = $canonical_url_array[0];
        } else {
            $canonical_url = "";
        }
    } else {
        $canonical_url = "";
    }
    $res = "<input type=\"text\" name=\"canonical_url\" value=\"".htmlspecialchars($canonical_url)."\" size=\"64\" />";
    echo $res;
}
function canonical_url_save_postdata( $post_id ) {
    if (isset($_POST['canonical_url'])) {
        $mydata = $_POST['canonical_url'];
        if ( "" == get_post_meta( $post_id, 'canonical_url')) {
            add_post_meta( $post_id, 'canonical_url', $mydata, true);
        } else {
            update_post_meta( $post_id, 'canonical_url', $mydata);
		}
	}
}
add_action('admin_menu', 'canonical_url_add_custom_box');
add_action('save_post', 'canonical_url_save_postdata');


// 投稿画面にindex、noindexの選択を追加
function noindex_set_add_custom_box() {
    add_meta_box('noindex_set', 'この記事ページにnoindexを設定（重複コンテンツ、低品質コンテンツ対策）', 'noindex_set_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('noindex_set', 'この記事ページにnoindexを設定（重複コンテンツ、低品質コンテンツ対策）', 'noindex_set_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('noindex_set', 'この記事ページにnoindexを設定（重複コンテンツ、低品質コンテンツ対策）', 'noindex_set_inner_custom_box', 'page', 'normal', 'low');
    add_meta_box('noindex_set', 'この記事ページにnoindexを設定（重複コンテンツ、低品質コンテンツ対策）', 'noindex_set_inner_custom_box', 'page', 'normal', 'low');
}
function noindex_set_inner_custom_box() {
    $noindex_set = get_post_meta( $_GET['post'], 'noindex_set' );
    echo '<p>この記事をnoindexにしたい場合は、「noindex / follow」または「noindex / nofollow」を選択してください。<br />noindexにした場合、この記事は検索エンジンにインデックスされなくなり、検索結果に表示されなくなります。<br /><br />また、nofollowにした場合、検索エンジンロボットが、この記事内にあるリンク先を読み取らなくなります。<br />リンク先をインデックスさせたくない場合に選択して下さい。</p>';
    if ($noindex_set[0] == "index,follow") {
        echo '<select name="noindex_set">
                <option value="" selected>index / follow</option>
                <option value="noindex,follow">noindex / follow</option>
                <option value="noindex,nofollow">noindex / nofollow</option>
                </select>';
    } else if ($noindex_set[0] == "noindex,follow") {
        echo '<select name="noindex_set">
                <option value="">index / follow</option>
                <option value="noindex,follow" selected>noindex / follow</option>
                <option value="noindex,nofollow">noindex / nofollow</option>
                </select>';
    } else if ($noindex_set[0] == "noindex,nofollow") {
        echo '<select name="noindex_set">
                <option value="">index / follow</option>
                <option value="noindex,follow">noindex / follow</option>
                <option value="noindex,nofollow" selected>noindex / nofollow</option>
                </select>';
    } else {
        echo '<select name="noindex_set">
                <option value="" selected>index / follow</option>
                <option value="noindex,follow">noindex / follow</option>
                <option value="noindex,nofollow">noindex / nofollow</option>
                </select>';
    }
}
function noindex_set_save_postdata( $post_id ) {
    if (isset($_POST['noindex_set'])) {
        $mydata = $_POST['noindex_set'];
        if ( "" == get_post_meta( $post_id, 'noindex_set')) {
            add_post_meta( $post_id, 'noindex_set', $mydata, true);
        } else {
            update_post_meta( $post_id, 'noindex_set', $mydata);
		}
	}
}
add_action('admin_menu', 'noindex_set_add_custom_box');
add_action('save_post', 'noindex_set_save_postdata');


// 投稿画面にmeta説明文を追加
function metades_add_custom_box() {
    add_meta_box('metades', 'この記事ページのmeta説明文（meta description）を指定', 'metades_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('metades', 'この記事ページのmeta説明文（meta description）を指定', 'metades_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('metades', 'この記事ページのmeta説明文（meta description）を指定', 'metades_inner_custom_box', 'page', 'normal', 'low');
    add_meta_box('metades', 'この記事ページのmeta説明文（meta description）を指定', 'metades_inner_custom_box', 'page', 'normal', 'low');
}
function metades_inner_custom_box() {
    echo '<p>この記事ページのmeta説明文を設定する場合は、以下のボックスに入力してください。<br />空白の場合は、本文の文頭60文字が自動的にmeta説明文になります。</p>';
    if (isset($_GET['post'])) {
        $metades_array = get_post_meta( $_GET['post'], 'metades');
        if (isset($metades_array[0])) {
            $metades = $metades_array[0];
        } else {
            $metades = "";
        }
    } else {
        $metades = "";
    }
    $res = "<textarea name=\"metades\" rows=\"5\" cols=\"65\">$metades</textarea>";
    echo $res;
}
function metades_save_postdata( $post_id ) {
    if (isset($_POST['metades'])) {
        $mydata = $_POST['metades'];
        if ( "" == get_post_meta( $post_id, 'metades')) {
            add_post_meta( $post_id, 'metades', $mydata, true);
        } else {
            update_post_meta( $post_id, 'metades', $mydata);
		}
	}
}
add_action('admin_menu', 'metades_add_custom_box');
add_action('save_post', 'metades_save_postdata');


// 投稿画面にカスタムCSS入力欄を追加
function customcss_add_custom_box() {
    add_meta_box('customcss', 'この記事ページにカスタムCSSを追加', 'customcss_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('customcss', 'この記事ページにカスタムCSSを追加', 'customcss_inner_custom_box', 'post', 'normal', 'low');
    add_meta_box('customcss', 'この記事ページにカスタムCSSを追加', 'customcss_inner_custom_box', 'page', 'normal', 'low');
    add_meta_box('customcss', 'この記事ページにカスタムCSSを追加', 'customcss_inner_custom_box', 'page', 'normal', 'low');
}
function customcss_inner_custom_box() {
    echo '<p>この記事ページ専用のカスタムCSSを追加したい場合は、以下のボックスに入力してください。</p>';
    if (isset($_GET['post'])) {
        $customcss_array = get_post_meta( $_GET['post'], 'customcss');
        if (isset($customcss_array[0])) {
            $customcss = $customcss_array[0];
        } else {
            $customcss = "";
        }
    } else {
        $customcss = "";
    }
    $res = "<textarea name=\"customcss\" rows=\"10\" cols=\"65\">$customcss</textarea>";
    echo $res;
}
function customcss_save_postdata( $post_id ) {
    if (isset($_POST['customcss'])) {
        $mydata = $_POST['customcss'];
        if ( "" == get_post_meta( $post_id, 'customcss')) {
            add_post_meta( $post_id, 'customcss', $mydata, true);
        } else {
            update_post_meta( $post_id, 'customcss', $mydata);
		}
	}
}
add_action('admin_menu', 'customcss_add_custom_box');
add_action('save_post', 'customcss_save_postdata');


// 投稿画面に説明文を追加
function add_my_box() {
    global $post;
    echo '<p>本テンプレートでは「届くんです」「アスメル」「エキスパートメール」のメール登録フォームに対応しております。<br /><br />メール登録フォームの設定方法は、以下をご参考ください。<br />⇒<a href="http://7th-club.jp/2step/code2/" target="_blank">メール登録フォームの設定方法</a></p>';
}
function add_my_box_hooks() {
    add_meta_box('my_box', '■メール登録フォームについて', 'add_my_box', 'page', 'side', 'low');
}
function add_my_box_init() {
    add_action('admin_menu', 'add_my_box_hooks');
}
add_action('init', 'add_my_box_init');


// 続きを読むのmore-linkのハッシュ削除
function remove_more_jump_link($link) { 
$offset = strpos($link, '#more-');
if ($offset) {
$end = strpos($link, '"',$offset);
}
if ($end) {
$link = substr_replace($link, '', $offset, $end-$offset);
}
return $link;
}
add_filter('the_content_more_link', 'remove_more_jump_link');


// パンくずリスト
function get_breadcrumbs(){
	global $wp_query;

	if ( !is_home() ){

		// Start
		echo '<div id="breadcrumb"><div class="bread_in"><p>';
		// Add the Home link
		echo '<a href="'. get_settings('home') .'">ホーム</a>';

		if ( is_category() )
		{
			$catTitle = single_cat_title( "", false );
			$cat = get_cat_ID( $catTitle );
			echo "&nbsp;&raquo;&nbsp;". get_category_parents($cat, true, '&nbsp;&raquo;&nbsp;');
		}
		elseif ( is_archive() && !is_category() )
		{
			echo "&nbsp;&raquo;&nbsp;アーカイブ";
		}
		elseif ( is_search() ) {

			echo "&nbsp;&raquo;&nbsp;検索結果";
		}
		elseif ( is_404() )
		{
			echo "&nbsp;&raquo;&nbsp;404 Not Found";
		}
		elseif ( is_single() )
		{
			$category = get_the_category();
			$category_id = get_cat_ID( $category[0]->cat_name );

			echo "&nbsp;&raquo;&nbsp;" .get_category_parents( $category_id, TRUE, "&nbsp;&raquo;&nbsp;" );
			echo the_title('','', FALSE);
		}
		elseif ( is_page() )
		{
			$post = $wp_query->get_queried_object();

			if ( $post->post_parent == 0 ){

				echo "&nbsp;&raquo;&nbsp;".the_title('','', FALSE);

			} else {
				$title = the_title('','', FALSE);
				$ancestors = array_reverse( get_post_ancestors( $post->ID ) );
				array_push($ancestors, $post->ID);

				foreach ( $ancestors as $ancestor ){
					if( $ancestor != end($ancestors) ){
						echo '&nbsp;&raquo;&nbsp;<a href="'. get_permalink($ancestor) .'">'. strip_tags( apply_filters( 'single_post_title', get_the_title( $ancestor ) ) ) .'</a>&nbsp;&raquo;&nbsp;';
					} else {
						echo strip_tags( apply_filters( 'single_post_title', get_the_title( $ancestor ) ) );
					}
				}
			}
		}

		// End
		echo "</p></div></div>";
	}
}


// トップページの記事数設定
function my_post_queries( $query ) {
    if ( is_admin() || ! $query->is_main_query() )
        return;
    if ( is_home() ) {
        $query->set('posts_per_page', get_option('top_posts_number'));
        return;
    }
}
add_action( 'pre_get_posts', 'my_post_queries' );


// the_excerpt() [...]を消す
function new_excerpt_more($more) {
	return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');


// the_excerpt()の文字数制限
function new_excerpt_length($length) {	
	return 200;	
}	
add_filter( 'excerpt_length', 'new_excerpt_length');


// ビジュアルエディタへのボタン追加
function tinymce_add_buttons_2( $array ) {
	array_unshift( $array, 'backcolor', 'fontsizeselect' );
	return $array;
}
add_filter( 'mce_buttons_2', 'tinymce_add_buttons_2' );


// ビジュアルエディタにボタンを追加
if(is_admin() && current_user_can('edit_posts') &&
current_user_can('edit_pages') && get_user_option('rich_editing') == 'true') {
	add_filter('mce_external_plugins', 'my_mce_external_plugins');
	add_filter('mce_buttons_3', 'my_mce_buttons');
}
function my_mce_buttons($buttons) {
	array_push($buttons, "pull_down_menu1", "pull_down_menu2", "pull_down_menu3", "pull_down_menu4", "pull_down_menu5", "pull_down_menu6");
	return $buttons;
}
function my_mce_external_plugins($plugin_array) {
	$plugin_array['add_original_b'] = get_template_directory_uri().'/js/editor_plugin.js';
	return $plugin_array;
}


// ビジュアルリッチエディターのカスタマイズ
function custom_editor_settings($initArray){
  global $current_screen;
  switch ($current_screen->post_type){
    case 'page':
      $initArray['block_formats'] = "見出し2=h2; 見出し3=h3; 見出し4=h4; 見出し5=h5; 段落=p; アドレス=address; 整形=pre;";
      break;
    case 'post':
      $initArray['block_formats'] = "見出し3=h3; 見出し4=h4; 見出し5=h5; 段落=p; アドレス=address; 整形=pre;";
      break;
  }
  return $initArray;
}
add_filter('tiny_mce_before_init', 'custom_editor_settings');


// ビジュアルエディタにclボタンを追加
class newMceButton {
	function newMceButton() {
		add_action('init', array(&$this, 'addbuttons'));
	}
	function sink_hooks(){
		add_filter('mce_plugins', array(&$this, 'mce_plugins'));
	}
function addbuttons() {
	   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
		 return;
	   if ( get_user_option('rich_editing') == 'true') {
		 add_filter("mce_external_plugins", array(&$this, 'mce_external_plugins'));
		 add_filter('mce_buttons', array(&$this, 'mce_buttons'));
	   }
	}
	function mce_buttons($buttons) {
	   array_push($buttons, "separator", "brClear");
	   return $buttons;
	}
	function mce_external_plugins($plugin_array) {
	   $plugin_array['newButtons'] = get_bloginfo('template_url') .'/js/editer_plugin.js';
	   return $plugin_array;
	}
}
$mybutton = new newMceButton();
add_action('init',array(&$mybutton, 'newMceButton'));


// ビジュアルエディターにボックス追加
function wpb_mce_buttons_2($buttons) {
	array_unshift($buttons, 'styleselect');
	return $buttons;
}
add_filter('mce_buttons_3', 'wpb_mce_buttons_2');

function my_mce_before_init_insert_formats( $init_array ) {
    $style_formats = array (
      array('title' => '下部余白10px', 'block' => 'div', 'classes' => 'margin-bottom10', 'wrapper' => 'true'),
      array('title' => '下部余白20px', 'block' => 'div', 'classes' => 'margin-bottom20', 'wrapper' => 'true'),
      array('title' => '下部余白30px', 'block' => 'div', 'classes' => 'margin-bottom30', 'wrapper' => 'true'),
      array('title' => '下部余白40px', 'block' => 'div', 'classes' => 'margin-bottom40', 'wrapper' => 'true'),
      array('title' => '下部余白50px', 'block' => 'div', 'classes' => 'margin-bottom50', 'wrapper' => 'true'),
      array('title' => '下部余白60px', 'block' => 'div', 'classes' => 'margin-bottom60', 'wrapper' => 'true'),
      array('title' => '下部余白70px', 'block' => 'div', 'classes' => 'margin-bottom70', 'wrapper' => 'true'),
      array('title' => '下部余白80px', 'block' => 'div', 'classes' => 'margin-bottom80', 'wrapper' => 'true'),
      array('title' => '下部余白90px', 'block' => 'div', 'classes' => 'margin-bottom90', 'wrapper' => 'true'),
      array('title' => '下部余白100px', 'block' => 'div', 'classes' => 'margin-bottom100', 'wrapper' => 'true'),
      array('title' => '上部余白10px', 'block' => 'div', 'classes' => 'margin-top10', 'wrapper' => 'true'),
      array('title' => '上部余白20px', 'block' => 'div', 'classes' => 'margin-top20', 'wrapper' => 'true'),
      array('title' => '上部余白30px', 'block' => 'div', 'classes' => 'margin-top30', 'wrapper' => 'true'),
      array('title' => '上部余白40px', 'block' => 'div', 'classes' => 'margin-top40', 'wrapper' => 'true'),
      array('title' => '上部余白50px', 'block' => 'div', 'classes' => 'margin-top50', 'wrapper' => 'true'),
      array('title' => '上部余白60px', 'block' => 'div', 'classes' => 'margin-top60', 'wrapper' => 'true'),
      array('title' => '上部余白70px', 'block' => 'div', 'classes' => 'margin-top70', 'wrapper' => 'true'),
      array('title' => '上部余白80px', 'block' => 'div', 'classes' => 'margin-top80', 'wrapper' => 'true'),
      array('title' => '上部余白90px', 'block' => 'div', 'classes' => 'margin-top90', 'wrapper' => 'true'),
      array('title' => '上部余白100px', 'block' => 'div', 'classes' => 'margin-top100', 'wrapper' => 'true'),
    );
	$init_array['style_formats'] = json_encode( $style_formats );
	return $init_array;  
} 
add_filter( 'tiny_mce_before_init', 'my_mce_before_init_insert_formats' );


// ビジュアルリッチエディターのカスタマイズ
add_editor_style('editor-style.css');


// カスタムメニューの表示カスタマイズ
add_filter('nav_menu_item_id', 'my_css_attributes_filter', 100, 1);
add_filter('page_css_class', 'my_css_attributes_filter', 100, 1);
function my_css_attributes_filter($var) {
  return is_array($var) ? array_intersect($var, array('current-menu-item')) : '';
}


// 本文の自動置き換えを無効化
remove_filter('the_content', 'wptexturize'); 


// 初期canonical機能を無効化
remove_action('wp_head', 'rel_canonical');


// カスタムメニューを追加
add_theme_support('menus');

?>