<?php echo '<?xml version="1.0" encoding="utf-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta http-equiv="content-style-type" content="text/css" />

<?php if ( is_single() ) { // 記事ページ ?>
<meta name="keywords" content="<?php foreach((get_the_category()) as $category) { echo $category->cat_name . ','; } $posttags = get_the_tags();if ($posttags) {foreach($posttags as $tag) {echo $tag->name . ','; } } ?>" />
<?php } else { // その他のページ ?>
<meta name="keywords" content="<?php echo get_option('meta_key')?>" />
<?php } ?>

<?php if ( is_single() || is_page() ) { // 記事・固定ページ ?>
<?php if (get_post_meta($post->ID, "metades", true)){ // 個別設定している場合 ?>
<meta name="description" content="<?php $key="metades"; echo get_post_meta($post->ID, $key, true); ?>" />
<?php } else { // 個別設定していない場合
$content_summary = strip_tags($post->post_content);
$content_summary = preg_replace("(\r\n|\r|\n)", "", $content_summary);
$content_summary = mb_substr($content_summary, 0, 60). "..."; ?>
<meta name="description" content="<?php echo $content_summary; ?>" />
<?php } ?>
<?php } else { // その他のページ ?>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<?php } ?>

<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css" />

<?php if ( is_category() )     { // カテゴリーページ ?>
<meta name="robots" content="<?php echo get_option('meta_archive')?>"><?php } ?>
<?php if ( is_tag() )     { // タグページ ?>
<meta name="robots" content="<?php echo get_option('meta_tag')?>"><?php } ?>
<?php if ( is_date() )     { // 日付別ページ ?>
<meta name="robots" content="<?php echo get_option('meta_day')?>"><?php } ?>

<?php if ( is_single() || is_page() )     { // 記事・固定ページ ?>
<?php if (get_post_meta($post->ID, "noindex_set", true)) : ?>
<meta name="robots" content="<?php $key="noindex_set"; echo get_post_meta($post->ID, $key, true); ?>">
<?php endif; ?>
<?php } ?>

<?php if ( is_single() || is_page() )     { // 記事・固定ページ ?>
<?php if (get_post_meta($post->ID, "canonical_url", true)) : ?>
<link rel="canonical" href="<?php $key="canonical_url"; echo get_post_meta($post->ID, $key, true); ?>">
<?php endif; ?>
<?php } ?>

<?php $response= get_option('response')?>
<?php if($response=='response-on'){ ?>
<meta name="viewport" content="width=device-width,initial-scale=1.0">
<link rel="stylesheet" media="all" type="text/css" href="<?php bloginfo('template_url'); ?>/tablet.css" />
<link rel="stylesheet" media="all" type="text/css" href="<?php bloginfo('template_url'); ?>/smart.css" />
<?php } ?>

<link href="<?php bloginfo( 'stylesheet_directory' ); ?>/<?php echo get_option('site_color')?>.css" rel="stylesheet" type="text/css" />
<link href="<?php bloginfo( 'stylesheet_directory' ); ?>/shortcode.css" rel="stylesheet" type="text/css" />
<!--[if lt IE 9]>
<script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
<![endif]-->
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/img/<?php echo get_option('site_color')?>/favicon.ico" />

<title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>

<script type="text/javascript" src="http://code.jquery.com/jquery-1.8.1.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js?ver=1.8.3"></script>
<?php if (wp_is_mobile()) :?>
<?php else: ?>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/smoothscroll.js"></script>
<?php endif; ?>
<script src="https://apis.google.com/js/platform.js" async defer>
  {lang: 'ja'}
</script>

<style type="text/css">
body {
	background: <?php echo get_option('background_color'); ?>;
}
h1#site {
	font-size: <?php echo get_option('h2_size'); ?>px;
}
h1#site a {
	color: <?php echo get_option('title_color'); ?>;
}
p {
	font-size: <?php echo get_option('kiji_size'); ?>px;
	margin-bottom: <?php echo get_option('p_bottom'); ?>px;
}
.normal_box p:last-child, .in_img_box p:last-child, .in_img_box2 p:last-child, .Q_black p:last-child, .Q_blue p:last-child, .Q_green p:last-child, .Q_red p:last-child, .Q_pink p:last-child, .Q_orange p:last-child, .A_black p:last-child, .A_blue p:last-child, .A_green p:last-child, .A_red p:last-child, .A_pink p:last-child, .A_orange p:last-child, .Q01_black p:last-child, .Q01_blue p:last-child, .Q01_green p:last-child, .Q01_red p:last-child, .Q01_pink p:last-child, .Q01_orange p:last-child, .A01_black p:last-child, .A01_blue p:last-child, .A01_green p:last-child, .A01_red p:last-child, .A01_pink p:last-child, .A01_orange p:last-child, .fkds_black p:last-child, .fkds_blue p:last-child, .fkds_green p:last-child, .fkds_red p:last-child, .fkds_pink p:last-child, .fkds_orange p:last-child, .check_box_red_s, check_box_black_s p:last-child, .check_box_blue_s p:last-child, .check_box_green_s p:last-child, .check_box_pink_s p:last-child, .check_box_orange_s p:last-child, .check_box_red_r p:last-child, .check_box_black_r p:last-child, .check_box_blue_r p:last-child, .check_box_green_r p:last-child, .check_box_pink_r p:last-child, .check_box_orange_r p:last-child, .check_box_red_w p:last-child, .check_box_black_w p:last-child, .check_box_blue_w p:last-child, .check_box_green_w p:last-child, .check_box_pink_w p:last-child, .check_box_orange_w p:last-child, .point_box_red_s p:last-child, .point_box_black_s p:last-child, .point_box_blue_s p:last-child, .point_box_green_s p:last-child, .point_box_pink_s p:last-child, .point_box_orange_s p:last-child, .point_box_red_r p:last-child, .point_box_black_r p:last-child, .point_box_blue_r p:last-child, .point_box_green_r p:last-child, .point_box_pink_r p:last-child, .point_box_orange_r p:last-child, .point_box_red_w p:last-child, .point_box_black_w p:last-child, .point_box_blue_w p:last-child, .point_box_green_w p:last-child, .point_box_pink_w p:last-child, .point_box_orange_w p:last-child, .box01_black_body p:last-child, .box01_blue_body p:last-child, .box01_green_body p:last-child, .box01_red_body p:last-child, .box01_pink_body p:last-child, .box01_orange_body p:last-child, .box02_black_body p:last-child, .box02_blue_body p:last-child, .box02_green_body p:last-child, .box02_red_body p:last-child, .box02_pink_body p:last-child, .box02_orange_body p:last-child {
	margin-bottom: 0;
}
</style>


<link href="<?php bloginfo( 'stylesheet_directory' ); ?>/custam.css" rel="stylesheet" type="text/css" />

<?php if (get_post_meta($post->ID, "customcss", true)) : ?>
<style type="text/css">
<?php $key="customcss"; echo get_post_meta($post->ID, $key, true); ?>
</style>
<?php endif; ?>

<?php
$str = $post->post_content;
$searchPattern = '/<img.*?src=(["\'])(.+?)\1.*?>/i';//投稿にイメージがあるか調べる
if (has_post_thumbnail()){//投稿にサムネイルがある場合の処理
$image_id = get_post_thumbnail_id();
$image = wp_get_attachment_image_src( $image_id, 'full');
echo '<meta property="og:image" content="'.$image[0].'">';echo "\n";
} else {
echo '<meta property="og:image" content="'.$imgurl[2].'">';echo "\n";
}
?>

<?php wp_head(); ?>
</head>
<body>
<?php include( TEMPLATEPATH . '/analyticstracking.php' ); ?>